# Class: ButtonSend

## ButtonSend()

#### new ButtonSend()

NB: Attributes not available here - use connectedCallback to reference

Source:
  - button-send.js, line 182

### Members

#### _msg

The output msg @type {object}

Source:
  - button-send.js, line 167

#### _msg

The output msg @type {object}

Source:
  - button-send.js, line 167

#### _ui

Standard _ui object to include in msgs

Source:
  - button-send.js, line 158

#### _ui

Standard _ui object to include in msgs

Source:
  - button-send.js, line 158

#### componentVersion

Component version

Source:
  - button-send.js, line 146

#### componentVersion

Component version

Source:
  - button-send.js, line 146

#### payload :any

The payload to include in the output

##### Type:

- any

Source:
  - button-send.js, line 156

#### payload :any

The payload to include in the output

##### Type:

- any

Source:
  - button-send.js, line 156

#### topic :string|undefined

The topic to include in the output

##### Type:

- string | undefined

Source:
  - button-send.js, line 152

#### topic :string|undefined

The topic to include in the output

##### Type:

- string | undefined

Source:
  - button-send.js, line 152

#### (static) observedAttributes

Makes HTML attribute change watched

Source:
  - button-send.js, line 172

#### (static) observedAttributes

Makes HTML attribute change watched

Source:
  - button-send.js, line 172

### Methods

#### attributeChangedCallback(attrib, oldVal, newVal)

Runs when an observed attribute changes - Note: values are always strings

##### Parameters:

Name | Type | Description
--- | --- | ---
`attrib` | string | Name of watched attribute that has changed
`oldVal` | string | The previous attribute value
`newVal` | string | The new attribute value

Source:
  - button-send.js, line 210

#### attributeChangedCallback(attrib, oldVal, newVal)

Runs when an observed attribute changes - Note: values are always strings

##### Parameters:

Name | Type | Description
--- | --- | ---
`attrib` | string | Name of watched attribute that has changed
`oldVal` | string | The previous attribute value
`newVal` | string | The new attribute value

Source:
  - button-send.js, line 210

#### connectedCallback()

Runs when an instance is added to the DOM

Source:
  - button-send.js, line 189

#### connectedCallback()

Runs when an instance is added to the DOM

Source:
  - button-send.js, line 189

#### disconnectedCallback()

Runs when an instance is removed from the DOM

Source:
  - button-send.js, line 199

#### disconnectedCallback()

Runs when an instance is removed from the DOM

Source:
  - button-send.js, line 199

#### handleClick(evt)

fn to run when the button is clicked

##### Parameters:

Name | Type | Description
--- | --- | ---
`evt` | PointerEvent | MouseEvent | The event object

Source:
  - button-send.js, line 243

#### handleClick(evt)

fn to run when the button is clicked

##### Parameters:

Name | Type | Description
--- | --- | ---
`evt` | PointerEvent | MouseEvent | The event object

Source:
  - button-send.js, line 243

## ButtonSend()

#### new ButtonSend()

NB: Attributes not available here - use connectedCallback to reference

Source:
  - button-send.js, line 182

### Members

#### _msg

The output msg @type {object}

Source:
  - button-send.js, line 167

#### _msg

The output msg @type {object}

Source:
  - button-send.js, line 167

#### _ui

Standard _ui object to include in msgs

Source:
  - button-send.js, line 158

#### _ui

Standard _ui object to include in msgs

Source:
  - button-send.js, line 158

#### componentVersion

Component version

Source:
  - button-send.js, line 146

#### componentVersion

Component version

Source:
  - button-send.js, line 146

#### payload :any

The payload to include in the output

##### Type:

- any

Source:
  - button-send.js, line 156

#### payload :any

The payload to include in the output

##### Type:

- any

Source:
  - button-send.js, line 156

#### topic :string|undefined

The topic to include in the output

##### Type:

- string | undefined

Source:
  - button-send.js, line 152

#### topic :string|undefined

The topic to include in the output

##### Type:

- string | undefined

Source:
  - button-send.js, line 152

#### (static) observedAttributes

Makes HTML attribute change watched

Source:
  - button-send.js, line 172

#### (static) observedAttributes

Makes HTML attribute change watched

Source:
  - button-send.js, line 172

### Methods

#### attributeChangedCallback(attrib, oldVal, newVal)

Runs when an observed attribute changes - Note: values are always strings

##### Parameters:

Name | Type | Description
--- | --- | ---
`attrib` | string | Name of watched attribute that has changed
`oldVal` | string | The previous attribute value
`newVal` | string | The new attribute value

Source:
  - button-send.js, line 210

#### attributeChangedCallback(attrib, oldVal, newVal)

Runs when an observed attribute changes - Note: values are always strings

##### Parameters:

Name | Type | Description
--- | --- | ---
`attrib` | string | Name of watched attribute that has changed
`oldVal` | string | The previous attribute value
`newVal` | string | The new attribute value

Source:
  - button-send.js, line 210

#### connectedCallback()

Runs when an instance is added to the DOM

Source:
  - button-send.js, line 189

#### connectedCallback()

Runs when an instance is added to the DOM

Source:
  - button-send.js, line 189

#### disconnectedCallback()

Runs when an instance is removed from the DOM

Source:
  - button-send.js, line 199

#### disconnectedCallback()

Runs when an instance is removed from the DOM

Source:
  - button-send.js, line 199

#### handleClick(evt)

fn to run when the button is clicked

##### Parameters:

Name | Type | Description
--- | --- | ---
`evt` | PointerEvent | MouseEvent | The event object

Source:
  - button-send.js, line 243

#### handleClick(evt)

fn to run when the button is clicked

##### Parameters:

Name | Type | Description
--- | --- | ---
`evt` | PointerEvent | MouseEvent | The event object

Source:
  - button-send.js, line 243